/***************************************************************************************
 *
 * debug.h is part of SimpleSkyCam.
 *
 *****************************************************************************************/

#ifndef _DEBUG_H_
#define _DEBUG_H_

#include "config.h"
#include "simpleskycam.h"
#include "gui.h"

#ifdef DEBUG_ANGLES
extern void debug_angles_draw(cairo_t *cr);
extern void debug_angles_motionevent(GdkEvent *event);
extern void debug_angles_btnpress(GdkEvent *event);
#endif

extern void debug_init();
extern void debug_tofile(char *fname, int isheader, char *fmt, ...);

#endif
